Filters.h File Reference
`#include <RDGeneral/export.h>`
`#include "FilterCatalogEntry.h"`
`#include "FilterCatalog.h"`

Go to the source code of this file.

## Classes

struct | RDKit::FilterData_t
struct | RDKit::FilterProperty_t

## Namespaces

| RDKit
| Std stuff.

## Functions

unsigned int | RDKit::GetNumEntries (FilterCatalogParams::FilterCatalogs catalog)
const FilterData_t * | RDKit::GetFilterData (FilterCatalogParams::FilterCatalogs catalog)
unsigned int | RDKit::GetNumPropertyEntries (FilterCatalogParams::FilterCatalogs catalog)
const FilterProperty_t * | RDKit::GetFilterProperties (FilterCatalogParams::FilterCatalogs catalog)
FilterCatalogEntry * | RDKit::MakeFilterCatalogEntry (const FilterData_t &, unsigned int num_props=0, const FilterProperty_t *props=nullptr)